# Gaussian NO2 doublet UHF optimisation

from chemsh       import *
from chemsh.utils import testutils

no2 = Fragment(coords="no2.cjson")

gaussian = Gaussian(frag=no2, method="hf", basis="3-21g", scftype="uhf", mult=2)

opt = Opt(theory=gaussian,
          algorithm="lbfgs", tolerance=0.0003, trust_radius="energy",
          maxcycle=100, maxene=100, maxstep=1.0)
          
opt.run()

ecalc = opt.result.energy

# Test result from Tcl-ChemShell
# NWChem
eref = -202.843456227492
# Tcl-ChemShell/Gaussian09
eref = -202.843456202000

testutils.validate(ecalc, eref)
